Is LoadRunner 11.52 backward compatible with LR 11.04?

  • Questions
  • Is LoadRunner 11.52 backward compatible with LR 11.04?
Question ID: 105516
0
0

We created scripts in the LR11.52 VuGen and need to run them in the LR 11.04 Controller and on our 20 LoadRunner 11.054 LGs

Will this work?

Marked as spam
Posted by (Questions: 217, Answers: 15)
Asked on July 22, 2014 1:44 pm
8 views
Answers (2)
1
Private answer

There is a work-around. Unless the scripts are relying on new features or commands, you can create an 11.04 empty script and copy/paste the the various actions after you create them in the shell script. You can also copy majority of the file like codegeneration so you can look at them. You will have to regen the v11.52 or 12.x scripts that use regular expressions for the autocorrelations. You just have to switch them to geneare the lr_save_param_ex, which is supported. Once you get them into the 11.04, you may have to do an extra round of correlations. I would copy the script and regen it and copy/past the new correlations so you do not loose your transactions or hand correlations. Once done, any of the regular expressions tht still show are areas you will have to manually correlate.
The setting for the _ex vs regular expressions is in the options. You will have to re-create the parameter names manually and point them at the param files and set the usage.

ood luck

Marked as spam
Posted by (Questions: 0, Answers: 15)
Answered on October 10, 2014 6:53 am
0
Private answer

No, scripts from the newer LoadRunner (11.5x and 12.0x) versions will not run properly to the older versions of LoadRunner Controller and /or Load Generators (LGs). The LR 11.04 scripts can move UP to 11.52x and 12.0x

Marked as spam
Posted by (Questions: 12, Answers: 362)
Answered on July 22, 2014 1:49 pm